This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 520613

Summary: No sound device in libvirt/qemu virtual machine
Product: [Fedora] Fedora Reporter: Stefan Becker <chemobejk>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: berrange, clalance, crobinso, itamar, markmc, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-04 09:09:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Domain definition file none

Description Stefan Becker 2009-09-01 08:58:47 EDT
Created attachment 359382 [details]
Domain definition file

Description of problem:

libvirt does not generate -soundhw parameter to qemu-kvm command line although the domain XML definition contains a valid <sound ...> element.

Version-Release number of selected component (if applicable):
libvirt-0.6.2-14.fc11.i586
qemu-kvm-0.10.6-1.fc11.i586
qemu-system-x86-0.10.6-1.fc11.i586
virt-manager-0.7.0-5.fc11.i586
kernel-PAE-2.6.29.6-217.2.16.fc11.i686

How reproducible: Always

Steps to Reproduce:
1. # virsh define savwgti003.xml
2. start machine and boot into rescue mode from Fedora boot CD
3. # lscpi (inside the virtual machine)
  
Actual results:
no sound devices listed

Expected results:
sound devices listed

Additional info:

Generated qemu-kvm command line from libvirt log:

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin /usr/bin/qemu-kvm -S -M pc -m 512 -smp 1 -name savwgti003 -uuid 2dca2d79-67cf-1c78-d680-e2ecf18c3988 -monitor pty -pidfile /var/run/libvirt/qemu//savwgti003.pid -boot c -drive file=/virtual-machines/savwgti003-c.img,if=ide,index=0,boot=on -drive file=/virtual-machines/savwgti003-e.img,if=ide,index=1 -drive file=/dev/cdrom,if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:69:9d:44,vlan=0,model=pcnet -net tap,fd=20,vlan=0 -serial pty -parallel none -usb -vnc 127.0.0.1:0
Comment 1 Mark McLoughlin 2009-09-04 09:09:07 EDT
Thanks for the report; libvirt deliberately disables sounds devices when SELinux is enabled; see bug #508317

*** This bug has been marked as a duplicate of bug 508317 ***